> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitoearn.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 获取所有平台元数据

> 接口说明：返回已注册平台的元数据列表，包括展示名、logo、能力声明等



## OpenAPI

````yaml /openapi/zh/aitoearn.openapi.json get /api/v2/channels/platforms
openapi: 3.0.1
info:
  title: AiToEarn 开放平台 API
  description: AiToEarn 开放平台 API，支持在中国站与国际站之间切换调试。业务是否成功以响应体 code === 0 为准。
  version: 1.0.0
  contact: {}
servers:
  - url: https://aitoearn.cn
    description: 中国站
  - url: https://aitoearn.ai
    description: 国际站
security: []
tags:
  - name: AI 服务
  - name: AI 服务/视频生成
  - name: AI 服务/图像生成
  - name: AI 服务/模型中转
  - name: 渠道管理
  - name: 渠道管理/账号
  - name: 渠道管理/内容发布
  - name: 渠道管理/平台
  - name: 渠道管理/互动
  - name: 渠道管理/作品
  - name: 渠道管理/账号分组
  - name: 渠道管理/授权
  - name: 资源管理
paths:
  /api/v2/channels/platforms:
    get:
      tags:
        - 渠道管理/平台
      summary: 获取所有平台元数据
      description: 接口说明：返回已注册平台的元数据列表，包括展示名、logo、能力声明等
      operationId: PlatformsController_listPlatforms_v2
      parameters: []
      responses:
        '200':
          description: 请求已被服务处理。业务是否成功以响应体 code === 0 为准。
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/PlatformMetadataVo'
                  code:
                    type: integer
                    description: 业务状态码。0 表示成功，非 0 表示业务错误。
                  message:
                    type: string
                    description: 响应消息。
                  requestId:
                    type: string
                    description: 请求 ID。
                  timestamp:
                    type: integer
                    description: 错误响应时间戳，Unix 毫秒。
                required:
                  - code
                  - message
              examples:
                success:
                  summary: 成功
                  value:
                    code: 0
                    message: 请求成功
                    data:
                      - platform: douyin
                        displayName:
                          en-US: string
                          zh-CN: string
                        logoUrl: https://assets.aitoearn.cn/example.png
                        authType: oauth2
                        editor: none
                        contentLimits:
                          modes:
                            - article2
                          maxTitleLength: 1
                          maxBodyLength: 1
                          maxTotalTextLength: 1
                          maxMediaCount: 1
                          maxImages: 1
                          maxVideos: 1
                        mediaRules:
                          imageFormats:
                            - string
                          videoFormats:
                            - string
                          maxImageSize: 1
                          maxVideoSize: 1
                          minVideoDuration: 1
                          maxVideoDuration: 1
                          minImageWidth: 1
                          minImageHeight: 1
                          maxImageWidth: 1
                          maxImageHeight: 1
                          aspectRatio:
                            min: 1
                            max: 1
                        topic:
                          supported: true
                          nativeField: true
                          maxCount: 1
                          maxTotalLength: 1
                        capabilities:
                          auth:
                            supported: true
                            revoke: true
                            selectableAccounts: true
                            refreshAccountAccess: true
                          publish:
                            supported: true
                            cancel: true
                            update: true
                            verify: true
                            finalize: true
                            scheduleByPlatform: true
                            optionSources: true
                            completionStrategy: sync
                          analytics:
                            account: true
                            work: true
                          engagement:
                            comments:
                              list: {}
                              create: {}
                            functions:
                              - {}
                          work:
                            listWorks: true
                            listWorksPagination: {}
                            getLinkInfo: true
                            getDetail: true
                            verifyOwnership: true
                          browse:
                            search: true
                            getDetail: true
                          webhook:
                            supported: true
                        optionSchema: {}
                        status: hidden
                        authInstructions:
                          en-US: string
                          zh-CN: string
      deprecated: false
      security: []
components:
  schemas:
    PlatformMetadataVo:
      type: object
      properties:
        platform:
          type: string
          enum:
            - douyin
            - xhs
            - wxSph
            - KWAI
            - youtube
            - wxGzh
            - bilibili
            - twitter
            - tiktok
            - facebook
            - instagram
            - threads
            - pinterest
            - linkedin
            - google_business
          description: 平台
        displayName:
          type: object
          properties:
            en-US:
              type: string
              description: 英文文案
            zh-CN:
              type: string
              description: 中文文案
          required:
            - en-US
            - zh-CN
          additionalProperties: false
          description: 展示名
        logoUrl:
          type: string
          format: uri
          description: 平台 logo URL
        authType:
          type: string
          enum:
            - oauth2
            - browser
            - plugin
            - qrcode
          description: 授权类型
        authInstructions:
          description: 授权操作提示语
          type: object
          properties:
            en-US:
              type: string
              description: 英文文案
            zh-CN:
              type: string
              description: 中文文案
          required:
            - en-US
            - zh-CN
          additionalProperties: false
        emptyAccountHint:
          description: 空账号引导提示
          type: object
          properties:
            title:
              type: object
              properties:
                en-US:
                  type: string
                  description: 英文文案
                zh-CN:
                  type: string
                  description: 中文文案
              required:
                - en-US
                - zh-CN
              additionalProperties: false
              description: 空账号提示标题
            description:
              type: object
              properties:
                en-US:
                  type: string
                  description: 英文文案
                zh-CN:
                  type: string
                  description: 中文文案
              required:
                - en-US
                - zh-CN
              additionalProperties: false
              description: 空账号提示描述
            action:
              description: 操作按钮
              type: object
              properties:
                label:
                  type: object
                  properties:
                    en-US:
                      type: string
                      description: 英文文案
                    zh-CN:
                      type: string
                      description: 中文文案
                  required:
                    - en-US
                    - zh-CN
                  additionalProperties: false
                  description: 操作按钮文案
                url:
                  type: string
                  format: uri
                  description: 操作链接
              required:
                - label
                - url
              additionalProperties: false
          required:
            - title
            - description
          additionalProperties: false
        editor:
          type: string
          enum:
            - none
            - text
            - html
          description: 编辑器类型
        contentLimits:
          type: object
          properties:
            modes:
              type: array
              items:
                type: string
                enum:
                  - article2
                  - article
                  - video
              description: 支持的发布内容模式
            maxTitleLength:
              description: 标题最大长度
              type: number
            maxBodyLength:
              description: 正文最大长度
              type: number
            maxTotalTextLength:
              description: 最终发布文本最大长度
              type: number
            maxMediaCount:
              description: 媒体最大数量
              type: number
            maxImages:
              description: 图片最大数量
              type: number
            maxVideos:
              description: 视频最大数量
              type: number
          required:
            - modes
          additionalProperties: false
          description: 内容限制
        mediaRules:
          type: object
          properties:
            imageFormats:
              description: 图片格式
              type: array
              items:
                type: string
            videoFormats:
              description: 视频格式
              type: array
              items:
                type: string
            maxImageSize:
              description: 图片最大字节数
              type: number
            maxVideoSize:
              description: 视频最大字节数
              type: number
            minVideoDuration:
              description: 视频最小秒数
              type: number
            maxVideoDuration:
              description: 视频最大秒数
              type: number
            minImageWidth:
              description: 图片最小宽度
              type: number
            minImageHeight:
              description: 图片最小高度
              type: number
            maxImageWidth:
              description: 图片最大宽度
              type: number
            maxImageHeight:
              description: 图片最大高度
              type: number
            aspectRatio:
              description: 宽高比限制
              type: object
              properties:
                min:
                  description: 最小宽高比
                  type: number
                max:
                  description: 最大宽高比
                  type: number
              additionalProperties: false
          additionalProperties: false
          description: 媒体规则
        topic:
          type: object
          properties:
            supported:
              type: boolean
              description: 是否支持话题
            nativeField:
              description: 是否使用平台原生话题字段
              type: boolean
            maxCount:
              description: 话题最大数量
              type: number
            maxTotalLength:
              description: 话题序列化后的最大总长度
              type: number
          required:
            - supported
          additionalProperties: false
          description: 话题能力
        capabilities:
          type: object
          properties:
            auth:
              type: object
              properties:
                supported:
                  type: boolean
                  description: 是否支持授权
                revoke:
                  type: boolean
                  description: 是否支持取消授权
                selectableAccounts:
                  type: boolean
                  description: 是否支持授权后选择子账号
                refreshAccountAccess:
                  type: boolean
                  description: 是否支持刷新子账号访问凭证
              required:
                - supported
                - revoke
                - selectableAccounts
                - refreshAccountAccess
              additionalProperties: false
              description: 授权能力
            publish:
              type: object
              properties:
                supported:
                  type: boolean
                  description: 是否支持服务端发布
                cancel:
                  type: boolean
                  description: 是否支持取消平台侧发布
                update:
                  type: boolean
                  description: 是否支持更新已发布内容
                verify:
                  type: boolean
                  description: 是否支持发布结果验证
                finalize:
                  type: boolean
                  description: 是否支持发布后轮询或收尾
                scheduleByPlatform:
                  type: boolean
                  description: 是否支持平台原生定时发布
                optionSources:
                  type: boolean
                  description: 是否支持动态发布选项
                completionStrategy:
                  description: 发布完成策略
                  type: string
                  enum:
                    - sync
                    - polling
                    - media_finalize
                    - webhook
                    - user_handoff
              required:
                - supported
                - cancel
                - update
                - verify
                - finalize
                - scheduleByPlatform
                - optionSources
              additionalProperties: false
              description: 发布能力
            analytics:
              type: object
              properties:
                account:
                  type: boolean
                  description: 是否支持账号数据分析
                work:
                  type: boolean
                  description: 是否支持作品数据分析
              required:
                - account
                - work
              additionalProperties: false
              description: 数据分析能力
            engagement:
              type: object
              properties:
                comments:
                  type: object
                  properties:
                    list:
                      type: object
                      properties:
                        supported:
                          type: boolean
                          description: 是否支持评论列表
                        pagination:
                          oneOf:
                            - type: object
                              properties:
                                mode:
                                  type: string
                                  description: 分页模式
                                  enum:
                                    - cursor
                                defaultLimit:
                                  type: integer
                                  exclusiveMinimum: true
                                  maximum: 9007199254740991
                                  description: 默认数量
                                  minimum: 0
                                maxLimit:
                                  type: integer
                                  exclusiveMinimum: true
                                  maximum: 9007199254740991
                                  description: 最大数量
                                  minimum: 0
                                supportsPrevious:
                                  type: boolean
                                  description: 是否支持上一页
                              required:
                                - mode
                                - defaultLimit
                                - maxLimit
                                - supportsPrevious
                              additionalProperties: false
                            - type: object
                              properties:
                                mode:
                                  type: string
                                  description: 分页模式
                                  enum:
                                    - page
                                defaultPageSize:
                                  type: integer
                                  exclusiveMinimum: true
                                  maximum: 9007199254740991
                                  description: 默认每页数量
                                  minimum: 0
                                maxPageSize:
                                  type: integer
                                  exclusiveMinimum: true
                                  maximum: 9007199254740991
                                  description: 最大每页数量
                                  minimum: 0
                                supportsTotal:
                                  type: boolean
                                  description: 是否返回总数
                              required:
                                - mode
                                - defaultPageSize
                                - maxPageSize
                                - supportsTotal
                              additionalProperties: false
                            - type: object
                              properties:
                                mode:
                                  type: string
                                  description: 分页模式
                                  enum:
                                    - none
                              required:
                                - mode
                              additionalProperties: false
                          description: 评论列表分页能力
                        parameters:
                          type: object
                          properties:
                            querySchema:
                              type: object
                              additionalProperties: true
                              description: Query 参数 JSON Schema
                              properties: {}
                            bodySchema:
                              description: Body 参数 JSON Schema
                              type: object
                              additionalProperties: true
                              properties: {}
                            dataSchema:
                              description: 函数 data 参数 JSON Schema
                              type: object
                              additionalProperties: true
                              properties: {}
                          required:
                            - querySchema
                          additionalProperties: false
                          description: 评论列表参数
                      required:
                        - supported
                        - pagination
                        - parameters
                      additionalProperties: false
                      description: 评论列表能力
                    create:
                      type: object
                      properties:
                        supported:
                          type: boolean
                          description: 是否支持创建评论
                        parameters:
                          type: object
                          properties:
                            querySchema:
                              type: object
                              additionalProperties: true
                              description: Query 参数 JSON Schema
                              properties: {}
                            bodySchema:
                              description: Body 参数 JSON Schema
                              type: object
                              additionalProperties: true
                              properties: {}
                            dataSchema:
                              description: 函数 data 参数 JSON Schema
                              type: object
                              additionalProperties: true
                              properties: {}
                          required:
                            - querySchema
                          additionalProperties: false
                          description: 创建评论参数
                      required:
                        - supported
                        - parameters
                      additionalProperties: false
                      description: 创建评论能力
                  required:
                    - list
                    - create
                  additionalProperties: false
                  description: 评论能力
                functions:
                  type: array
                  items:
                    type: object
                    properties:
                      name:
                        type: string
                        enum:
                          - delete_comment
                          - like
                          - unlike
                          - repost
                          - undo_repost
                          - quote
                          - bookmark
                          - remove_bookmark
                          - hide_reply
                          - unhide_reply
                          - follow
                          - unfollow
                        description: 互动函数名称
                      label:
                        type: object
                        properties:
                          en-US:
                            type: string
                            description: 英文文案
                          zh-CN:
                            type: string
                            description: 中文文案
                        required:
                          - en-US
                          - zh-CN
                        additionalProperties: false
                        description: 函数展示文案
                      target:
                        type: string
                        enum:
                          - work
                          - comment
                          - account
                        description: 互动目标类型
                      parameters:
                        type: object
                        properties:
                          querySchema:
                            type: object
                            additionalProperties: true
                            description: Query 参数 JSON Schema
                            properties: {}
                          bodySchema:
                            description: Body 参数 JSON Schema
                            type: object
                            additionalProperties: true
                            properties: {}
                          dataSchema:
                            description: 函数 data 参数 JSON Schema
                            type: object
                            additionalProperties: true
                            properties: {}
                        required:
                          - querySchema
                          - bodySchema
                          - dataSchema
                        additionalProperties: false
                        description: 函数参数
                    required:
                      - name
                      - label
                      - target
                      - parameters
                    additionalProperties: false
                  description: 平台支持的互动函数
              required:
                - comments
                - functions
              additionalProperties: false
              description: 互动能力
            work:
              type: object
              properties:
                listWorks:
                  type: boolean
                  description: 是否支持账号作品列表
                listWorksPagination:
                  oneOf:
                    - type: object
                      properties:
                        mode:
                          type: string
                          description: 分页模式
                          enum:
                            - cursor
                        defaultLimit:
                          type: integer
                          exclusiveMinimum: true
                          maximum: 9007199254740991
                          description: 默认数量
                          minimum: 0
                        maxLimit:
                          type: integer
                          exclusiveMinimum: true
                          maximum: 9007199254740991
                          description: 最大数量
                          minimum: 0
                        supportsPrevious:
                          type: boolean
                          description: 是否支持上一页
                      required:
                        - mode
                        - defaultLimit
                        - maxLimit
                        - supportsPrevious
                      additionalProperties: false
                    - type: object
                      properties:
                        mode:
                          type: string
                          description: 分页模式
                          enum:
                            - page
                        defaultPageSize:
                          type: integer
                          exclusiveMinimum: true
                          maximum: 9007199254740991
                          description: 默认每页数量
                          minimum: 0
                        maxPageSize:
                          type: integer
                          exclusiveMinimum: true
                          maximum: 9007199254740991
                          description: 最大每页数量
                          minimum: 0
                        supportsTotal:
                          type: boolean
                          description: 是否返回总数
                      required:
                        - mode
                        - defaultPageSize
                        - maxPageSize
                        - supportsTotal
                      additionalProperties: false
                    - type: object
                      properties:
                        mode:
                          type: string
                          description: 分页模式
                          enum:
                            - none
                      required:
                        - mode
                      additionalProperties: false
                  description: 账号作品列表分页能力
                getLinkInfo:
                  type: boolean
                  description: 是否支持解析作品链接
                getDetail:
                  type: boolean
                  description: 是否支持作品详情
                verifyOwnership:
                  type: boolean
                  description: 是否支持作品归属校验
              required:
                - listWorks
                - listWorksPagination
                - getLinkInfo
                - getDetail
                - verifyOwnership
              additionalProperties: false
              description: 作品能力
            browse:
              type: object
              properties:
                search:
                  type: boolean
                  description: 是否支持搜索浏览
                getDetail:
                  type: boolean
                  description: 是否支持浏览详情
              required:
                - search
                - getDetail
              additionalProperties: false
              description: 浏览能力
            webhook:
              type: object
              properties:
                supported:
                  type: boolean
                  description: 是否支持 webhook
              required:
                - supported
              additionalProperties: false
              description: Webhook 能力
          required:
            - auth
            - publish
            - analytics
            - engagement
            - work
            - browse
            - webhook
          additionalProperties: false
          description: 平台操作能力
        optionSchema:
          type: object
          additionalProperties: true
          description: 发布选项 JSON Schema
          properties: {}
        defaultOption:
          description: 默认发布选项
          type: object
          additionalProperties: true
          properties: {}
        status:
          type: string
          enum:
            - hidden
            - available
            - unavailable
            - coming_soon
          description: 平台状态
      required:
        - platform
        - displayName
        - logoUrl
        - authType
        - editor
        - contentLimits
        - mediaRules
        - topic
        - capabilities
        - optionSchema
        - status
      additionalProperties: false

````